<%/******************************************************* {COPYRIGHT-TOP} ***
# * Licensed Materials - Property of IBM
# * IBM(R) Workplace Forms(tm) Server - Webform Server
# *
# * (C) Copyright IBM Corp. 2000, 2006
# *
# * US Government Users Restricted Rights - Use, duplication, or
# * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
******************************************************** {COPYRIGHT-END} **/%>
<%@ page import="java.io.File" %>
<%@ page import="javax.portlet.*" session="false" %>
<%@ page import="javax.servlet.ServletResponseWrapper" %>
<%@ page import="com.PureEdge.pws.sample.portlet.jsr.FileUtilities" %>
<%@ page import="com.PureEdge.pws.sample.portlet.jsr.FormsListSessionBean" %>
<%@ page import="com.PureEdge.pws.sample.portlet.jsr.FormsListPortlet" %>

<%@ taglib uri="http://java.sun.com/portlet" prefix="portletAPI" %>

<portletAPI:defineObjects />
<fmt:setBundle basename="i18n.FormsList"/>
<%
	RenderResponse render = null;
	
	if (response instanceof RenderResponse)
		render = (RenderResponse) response;
	else
		render = (RenderResponse) ((ServletResponseWrapper) response).getResponse();

	render.setContentType("text/html");

	FormsListSessionBean sessionBean = (FormsListSessionBean) renderRequest.getPortletSession().getAttribute(FormsListPortlet.SESSION_BEAN);

	String action = sessionBean.getAction();
	String dirname = sessionBean.getDirectory();
	
	String startingDir = renderRequest.getPreferences().getValue("startingDirectory", null);
	String submissionsDir = renderRequest.getPortletSession().getPortletContext().getInitParameter("submissionsDirectory");
		
	// if the context parameters don't exist or are blank, set defaults.
	if (startingDir == null)
		startingDir = "";
		
	if (startingDir.length() == 0)
		startingDir = renderRequest.getPortletSession().getPortletContext().getRealPath("/") + "/SampleForms";
	
	if (submissionsDir == null)
		submissionsDir = "";
		
	if (submissionsDir.length() == 0)
		submissionsDir = "/submissions";	
	 
	if (dirname == null)
		  dirname = "";
		  	
	if (action == null)
	{	
		File 	sampleDirFile = null;
		if (dirname.length() > 0)
			sampleDirFile = new File(startingDir + "/" + dirname);
		else
			sampleDirFile = new File(startingDir);
		  
		if (sampleDirFile.getCanonicalPath().startsWith(new File(startingDir).getCanonicalPath()) == false)
			throw new PortletException("Dir must be within the sample file directory.");
			  
		if (sampleDirFile == null)
			throw new PortletException("Directory " + sampleDirFile.getCanonicalPath() + " not found.");
	
		if (dirname.equals(""))
			out.println("<h2>Index of Sample Forms directory</h2>");
		else
			out.println("<h2>Index of " + dirname + " directory</h2>");
			
		out.println(FileUtilities.getDirectoryInHTML((RenderRequest)request, render, dirname, sampleDirFile, dirname.equalsIgnoreCase(submissionsDir)));
		//out.println("<br>Click <a href=\"javascript:openForm('" + request.getContextPath() + "/QASampleServlet?pwsAction=toolbelt');\">Here</a> to Open Local Form\n");
	}
	else if (action.equalsIgnoreCase("delete"))
	{	
		String filename = sessionBean.getFilename();
		if (filename != null)
		{
			PortletURL returnURL = render.createActionURL();
			returnURL.setParameter("dirname", dirname);
			
			PortletURL deleteURL = render.createActionURL();
			deleteURL.setParameter("dirname", dirname);	
			deleteURL.setParameter("filename", filename);
			deleteURL.setParameter("action", "deleteConfirmed");
		
			out.println("<br>Are you sure you wish to <b>delete</b> the file: " + filename + "?<br><br>");
			out.println("<br><a href=\"" + deleteURL.toString() + "\">YES</a>");
			out.println("&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
			out.println("<a href=\"" + returnURL.toString() + "\">NO</a><br>");
		}
		else
			throw new PortletException("filename parameter must be specified when action=delete.");
	}
	else
		throw new PortletException("Invalid value (" + action + ") for action parameter.");
%>
